Name:		gurlchecker
Version:	0.10.1
Release:	14%{?dist}

Summary:	A Gnome link validity checker

Group:		Applications/Internet
License:	GPLv2+
URL:		http://labs.libre-entreprise.org/projects/%{name}
Source0:	http://labs.libre-entreprise.org/frs/download.php/547/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-docs.patch
Patch1:		gurlchecker-0.10.1-clamav093.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils, gnet2-devel, gettext, perl(XML::Parser)
BuildRequires:	docbook-utils, libgnomeui-devel >= 2.0, libglade2-devel >= 2.0
BuildRequires:	libcroco-devel, libtidy-devel, clamav-devel, clamav-lib, gnutls-devel

%description
gURLChecker is a Gnome tool that can check links on a single web page
or on a whole web site in order to determine validity of each page.

%prep
%setup -q
%patch0 -p1
%if 0%{?fedora} >= 9
%patch1 -p1 -b .clamav093
%endif


%build
%configure --disable-gtk-doc
make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original	\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/gurlchecker/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-12
- rebuild for clamav 0.95rc1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-10
- rebuild for clamav 0.94

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.10.1-9
- rebuild with new gnutls

* Fri Mar 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-8
- One-line patch for clamav 0.93 (to fix broken dependency)

* Sun Mar 23 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.10.1-7
- Rebuild for new clamav to fix broken dependency

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10.1-6
- Autorebuild for GCC 4.3

* Sun Dec 23 2007 Arindam Ghosh <makghosh AT fedoraproject DOT org> - 0.10.1-5
- Updated clamav-lib as a build requires

* Tue Oct 09 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.10.1-4
- Minor changes in %%doc

* Fri Oct 05 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.10.1-3
- Fixed build requires
- Removed redundant requires
- Added INSTALL option in make tag
- Desktop file install added
- Rebuild
- Bump release

* Thu Oct 04 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.10.1-2
- Added a patch
- Updated license tag
- Fixed desktop entry
- Bump release

* Sat Sep 15 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.10.1-1
- Updated to 0.10.1

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.10.0-4
- Rebuild for FC6

* Sun Jun 17 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.10.0-3
- rebuild for new gnutls

* Sat Jun 10 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.10.0-2
- added perl-XML-Parser as a build req

* Tue May 30 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.10.0-1
- updated to 0.10.0

* Fri Apr 28 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.8.3-4
- missed docbookutils

* Fri Apr 28 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.8.3-3
- missed some build requires.

* Fri Apr 28 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.8.3-1
- version update

